Get Actions for a Transition

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches the list of actions that are available or configured for a specific workflow transition.

Endpoints

OAuth Scope

WorkDrive.workflows.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/transitions/{transition_id}/workflowactions \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

transition_idstring(Required)

The unique ID of the workflow transition.

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

filter[category]string(Optional)

Allowed values: "during" or "after".

Use this filter to fetch:

  • during: workflow fields and inputs configured for the transition's During stage.
  • after: file/folder-based actions configured for the transition's After stage.

Response Example

R008

200
200
401
Copied!
  {
    "data": [
      {
        "id": "sfftb8bae590ea97a4c8ba521f751b64452ca-7321386000000003055",
        "type": "workflowactions",
        "attributes": {
          "action_type": "CREATE_OR_UPDATE_CUSTOM_META_DATA",
          "module": "FILE",
          "action_id_str": "7321386000000003055",
          "details": {
            "custom_meta_details": {
              "data_template_id": "sfftb8bae590ea97a4c8ba521f751b64452ca-7321386000000003011",
              "custom_data": [
                {
                  "custom_field_id": "sfftb8bae590ea97a4c8ba521f751b64452ca-NzMyMTM4NjAwMDAwMDAwMzAxMS03MzIxMzg2MDAwMDAwMDAzMDE1",
                  "display_name": "Reviewers",
                  "type": "multi_email",
                  "field_properties": {
                    "description": "",
                    "is_mandatory": true,
                    "is_searchable": true
                  }
                },
                {
                  "custom_field_id": "sfftb8bae590ea97a4c8ba521f751b64452ca-NzMyMTM4NjAwMDAwMDAwMzAxMS03MzIxMzg2MDAwMDAwMDAzMDE2",
                  "display_name": "Note from the Author",
                  "type": "multiline_text",
                  "field_properties": {
                    "description": "",
                    "is_mandatory": true,
                    "is_searchable": true
                  }
                },
                {
                  "custom_field_id": "sfftb8bae590ea97a4c8ba521f751b64452ca-NzMyMTM4NjAwMDAwMDAwMzAxMS03MzIxMzg2MDAwMDAwMDAzMDE3",
                  "display_name": "Review due date",
                  "type": "datetime",
                  "field_properties": {
                    "description": "",
                    "is_mandatory": false,
                    "is_searchable": true,
                    "default_value": "",
                    "allowed_date": {
                      "allowed_date_type": "FUTURE"
                    }
                  }
                }
              ],
              "name": "Automation_Review"
            }
          },
          "category": 5
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/workflowactions/sfftb8bae590ea97a4c8ba521f751b64452ca-7321386000000003055"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
Show full